# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_b8uj6zzbel/clone/recipe, last modified Thu Aug  4 08:44:09 2022
# ------------------------------------------------

package:
  name: pynacl
  version: 1.5.0
source:
  fn: PyNaCl-1.5.0.tar.gz
  patches:
    - 0001-Fix-name-of-static-sodium-lib.patch
  sha256: 8ac7448f09ab85811607bdd21ec2464495ac8b7c66d146bf545b0f08fb9220ba
  url: https://pypi.io/packages/source/P/PyNaCl/PyNaCl-1.5.0.tar.gz
build:
  number: '0'
  string: py37hca72f7f_0
requirements:
  build:
    - cctools_osx-64 949.0.1 hc7db93f_23
    - clang 12.0.0 hecd8cb5_2
    - clang-12 12.0.0 default_hfcad0e5_2
    - clang_osx-64 12.0.0 h7ad7729_2
    - clangxx 12.0.0 default_hfcad0e5_2
    - compiler-rt 12.0.0 hd87ff74_2
    - compiler-rt_osx-64 12.0.0 hfb26b64_2
    - gnuconfig 2021.05.24 hd3eb1b0_0
    - ld64_osx-64 530 h70f3046_23
    - ldid 2.1.2 h2d21305_2
    - libclang-cpp12 12.0.0 default_hfcad0e5_2
    - libcxx 12.0.0 h2f01273_0
    - libllvm12 12.0.0 h9b2ccf5_3
    - llvm-tools 12.0.0 h9b2ccf5_3
    - patch 2.7.6 h1de35cc_1001
    - tapi 1000.10.8 ha1b3eb9_0
    - zlib 1.2.12 h4dc903c_2
  host:
    - ca-certificates 2022.07.19 hecd8cb5_0
    - certifi 2022.6.15 py37hecd8cb5_0
    - cffi 1.15.1 py37hc55c11b_0
    - libcxx 12.0.0 h2f01273_0
    - libffi 3.3 hb1e8313_2
    - libsodium 1.0.18 h1de35cc_0
    - ncurses 6.3 hca72f7f_3
    - openssl 1.1.1q hca72f7f_0
    - pip 22.1.2 py37hecd8cb5_0
    - pycparser 2.21 pyhd3eb1b0_0
    - python 3.7.13 hdfd78df_0
    - readline 8.1.2 hca72f7f_1
    - setuptools 61.2.0 py37hecd8cb5_0
    - sqlite 3.39.0 h707629a_0
    - tk 8.6.12 h5d9f67b_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 hca72f7f_1
    - zlib 1.2.12 h4dc903c_2
  run:
    - cffi >=1.4.1
    - libsodium >=1.0.18,<1.0.19.0a0
    - python >=3.7,<3.8.0a0
    - six
test:
  commands:
    - python -m pip check || true
    - pytest
  imports:
    - nacl
    - nacl.bindings
    - nacl.pwhash
  requires:
    - hypothesis >=3.27.0
    - pip
    - pytest >=3.2.1,!=3.3.0
  source_files:
    - tests/
about:
  description: 'PyNaCl is a Python binding to the Networking and Cryptography library,
    a crypto library with the stated goal of improving usability, security and speed.
    It supports Python 2.7 and 3.3+ as well as PyPy 2.6+.

    '
  dev_url: https://github.com/pyca/pynacl
  doc_url: https://pynacl.readthedocs.io/en/latest/
  home: https://github.com/pyca/pynacl
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: PyNaCl is a Python binding to the Networking and Cryptography library,
    a crypto library with the stated goal of improving usability, security and speed.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: b8876971-86de-490f-8431-2ad24ac63c2e
  recipe-maintainers:
    - CJ-Wright
  remote_url: git@github.com:AnacondaRecipes/pynacl-feedstock.git
  sha: 93671195af5808dd0fc05a2231df1e9fedc16be8
